Subject: Re: bug#41914: closed (Re: bug#41914: [PATCH] Propagate return value of auto-loaded command)

From: Tom de Vries <[email-masked]>
Date: Fri, 19 Jun 2020 14:56:41 +0200

On 6/18/20 11:50 PM, Jacob Bachmeyer wrote:
> Tom de Vries wrote:
>> On 6/18/20 1:20 AM, GNU bug Tracking System wrote:
>>  
>>> Your bug report
>>>
>>> #41914: [PATCH] Propagate return value of auto-loaded command
>>>
>>> which was filed against the dejagnu package, has been closed.
>>>
>>> The explanation is attached below, along with your original report.
>>> If you require more details, please reply to [email-masked].
>>>
>>>     
>>
>> AFAICT, no fix was committed to master. So, I'm not sure I understand
>> why this bug was closed.
> 
> It was closed because a fix had been rolled into the fix for #41824. 
> Linus' Law applied here:  we both found the same bug and actually fixed
> it the same way.  I merged the comment and ChangeLog entry from your
> patch into the temporary "PR41824" branch.
> 
> Is there a better way to record this circumstance in debbugs than
> closing the second bug?

Well, in my understanding, yes, by:
- mentioning the circumstance without closing the bug, and
- closing the bug once the fix is present on master.

It's just that in all projects I worked in, this practice is adhered to,
with the specific purpose of being able to track problems to completion.

Of course, if the dejagnu project doesn't adhere to this, I have no
issues with that.  I just asked the question because I was surprised.

Thanks,
- Tom